#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int T, p=1, k, l=0,z=0;
    cin>>T;
    vector<int>v;
    int n[T];
    int i=0, j=0;
    while(i<T){
        cin>>n[i];
        i=i+1;
    }
    i=0;
    while(z<T){
        while(i<n[z]){
            k=n[i];
            while(k>=1){
                p=p*k%10;
                k=k/10;
            }
            v.push_back(p);
            j=0;
            l=0;
            i=i+1;
        }
        i=0;
        cout<<v.size()<<endl;
        v.clear();
        z=z+1;
    }
    return 0;
}